diff --git a/Changes.lang b/Changes.lang
index 2d7840c00..c3036481a 100644
--- a/Changes.lang
+++ b/Changes.lang
@@ -61,6 +61,7 @@ Anope Version 1.9.2
     CHAN_HELP_SENDPASS
     CHAN_SENDPASS_SYNTAX
     CHAN_HELP_CMD_SENDPASS
+    OPER_DEFCON_NO_CONF
 
 Anope Version 1.9.1
 --------------------
diff --git a/lang/cat.l b/lang/cat.l
index c10223730..f02c2a77b 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -2959,8 +2959,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	This service is temporarly disabled, please try again later
-OPER_DEFCON_NO_CONF
-	The Defcon system must be enabled in the services.conf file
 OPER_DEFCON_CHANGED
 	Services are now at DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/de.l b/lang/de.l
index 14fe45420..9393751c1 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -2914,8 +2914,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Dieser Service ist derzeit deaktiviert, bitte versuche es später nochmal
-OPER_DEFCON_NO_CONF
-	Das Defcon-System muss in der services.conf aktiviert worden sein
 OPER_DEFCON_CHANGED
 	Services sind jetzt beim DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/en_us.l b/lang/en_us.l
index 67c8e7f74..28241f85d 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -2852,8 +2852,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Services are in Defcon mode, Please try again later.
-OPER_DEFCON_NO_CONF
-	The Defcon system must be enabled in the services.conf file
 OPER_DEFCON_CHANGED
 	Services are now at DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/es.l b/lang/es.l
index 9a2abffe2..66b6eed6f 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -2931,8 +2931,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Los servicios estan deshabilitados temporalmente, por favor intenta mas tarde 
-OPER_DEFCON_NO_CONF
-	El sistema Defcon debe ser habilitado en el archivo services.conf
 OPER_DEFCON_CHANGED
 	Servicios estan ahora en DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/fr.l b/lang/fr.l
index 6a7ac929a..c19ef4d5c 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -2985,8 +2985,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Ce service est temporairement désactivé, veuillez réessayer ultérieurement.
-OPER_DEFCON_NO_CONF
-	Defcon dois etre activé dans le fichier services.conf.
 OPER_DEFCON_CHANGED
 	Les services sont maintenant sur DEFCON %d.
 OPER_DEFCON_WALL
diff --git a/lang/gr.l b/lang/gr.l
index e0f61c521..8695daeeb 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -2962,8 +2962,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	This service is temporarly disabled, please try again later
-OPER_DEFCON_NO_CONF
-	The Defcon system must be enabled in the services.conf file
 OPER_DEFCON_CHANGED
 	Services are now at DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/hun.l b/lang/hun.l
index e2256a610..85d6dc434 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -2904,8 +2904,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Szervíz Defcon módban fut, próbáld késõbb.
-OPER_DEFCON_NO_CONF
-	A Defcon rendszert engedélyezni kell a services.conf-ban
 OPER_DEFCON_CHANGED
 	Szervíz új DEFCON szintje %d
 OPER_DEFCON_WALL
diff --git a/lang/it.l b/lang/it.l
index 273be9e66..7477818d6 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -2859,8 +2859,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	I servizi sono in modalità Defcon, prego riprovare più tardi.
-OPER_DEFCON_NO_CONF
-	Il sistema Defcon dev'essere attivato nel file services.conf
 OPER_DEFCON_CHANGED
 	I servizi sono ora in DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/nl.l b/lang/nl.l
index 56ce81d2a..c68fa3f8a 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -2918,8 +2918,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Services zijn in Defcon modus. Probeer later opnieuw.
-OPER_DEFCON_NO_CONF
-	Het Defcon systeem moet worden ingeschakeld via services.conf
 OPER_DEFCON_CHANGED
 	Services zijn nu in DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/pl.l b/lang/pl.l
index da09681dd..c163fa07f 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -3820,9 +3820,6 @@ OPER_DEFCON_SYNTAX
 OPER_DEFCON_DENIED
 	Serwisy s± w trybie defcon, spróbuj ponownie pó¼niej.
 
-OPER_DEFCON_NO_CONF
-	System defcon musi byæ w³±czony w pliku konfiguracyjnym.
-
 OPER_DEFCON_CHANGED
 	Serwisy s± teraz w systemie DEFCON %d
 
diff --git a/lang/pt.l b/lang/pt.l
index 0f5bd44d7..8089d27a5 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -2880,8 +2880,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Este serviço está temporariamente desabilitado, por favor tente novamente mais tarde
-OPER_DEFCON_NO_CONF
-	O sistema Defcon deve estar habilitado no arquivo services.conf
 OPER_DEFCON_CHANGED
 	Services estão agora em DEFCON %d
 OPER_DEFCON_WALL
diff --git a/lang/ru.l b/lang/ru.l
index 99968ff25..7cd9b9898 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -2849,8 +2849,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	Íà äàííûé ìîìåíò ñåðâèñû ðàáîòàþò â DEFCON-ðåæèìå. Ïîâòîðèòå ñâîé çàïðîñ ïîçæå.
-OPER_DEFCON_NO_CONF
-	Àêòèâèðîâàíèå DEFCON-ðåæèìà íåâîçìîæíî, òàê êàê îí íå âêëþ÷åí â êîíôèãå ñåðâèñîâ.
 OPER_DEFCON_CHANGED
 	DEFCON-ðåæèì àêòèâèðîâàí, óðîâåíü çàùèòû: %d
 OPER_DEFCON_WALL
diff --git a/lang/tr.l b/lang/tr.l
index 86fb06d8b..2930e7f34 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -2956,8 +2956,6 @@ OPER_DEFCON_SYNTAX
 	DEFCON [1|2|3|4|5]
 OPER_DEFCON_DENIED
 	This service is temporarly disabled, please try again later
-OPER_DEFCON_NO_CONF
-	The Defcon system must be enabled in the services.conf file
 OPER_DEFCON_CHANGED
 	Services are now at DEFCON %d
 OPER_DEFCON_WALL
diff --git a/src/users.c b/src/users.c
index 65d2f7831..08c1b12c1 100644
--- a/src/users.c
+++ b/src/users.c
@@ -693,7 +693,7 @@ User *do_nick(const char *source, const char *nick, const char *username, const
 		EventReturn MOD_RESULT;
 		FOREACH_RESULT(I_OnPreUserConnect, OnPreUserConnect(user));
 		if (MOD_RESULT == EVENT_STOP)
-			return NULL;
+			return finduser(nick);
 
 		check_akill(nick, username, host, vhost, ipbuf);
 
